Claim a case for investigation
curl --request POST \
--url https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"comment": "<string>"
}
'import requests
url = "https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim"
payload = { "comment": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>'})
};
fetch('https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim"
payload := strings.NewReader("{\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"comment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"comment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimed": true,
"case_state": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"resource": "<string>",
"message": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}Cases
Claim a case for investigation
Takes ownership of a discover case. It moves to
pending_investigation and leaves the analysts’ triage queue, exactly
as when an analyst escalates it in TOTAL. The request body is optional.
A case already claimed is left as it is (claimed: false), so a retry
is safe. A closed case returns 409.
POST
/
cases
/
{case_id}
/
claim
Claim a case for investigation
curl --request POST \
--url https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"comment": "<string>"
}
'import requests
url = "https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim"
payload = { "comment": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>'})
};
fetch('https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim"
payload := strings.NewReader("{\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"comment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://eris.platform.total.truu.ai/api/v1/external/cases/{case_id}/claim")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"comment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimed": true,
"case_state": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}{
"error": "<string>",
"resource": "<string>",
"message": "<string>"
}{
"error": "<string>",
"details": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
],
"request_id": "<string>"
}Authorizations
Domain-scoped API key. Generate and manage keys from the API Keys page in Settings.
Accepted in two forms:
X-API-Key: <key>header (preferred)Authorization: Bearer <key>header (also accepted)
Path Parameters
Body
application/json
Why the case is being claimed, e.g. the SOAR ticket. Recorded with the claim.
Maximum string length:
2000Response
Case claimed, or already claimed
True when this call claimed the case; false when it was already claimed.
Lifecycle state of a case:
discover— Vetted by the AI judge, ready for triagepending_investigation— Claimed for investigation, by an analyst in TOTAL or throughPOST /cases/{case_id}/claiminvestigating— Investigation underwayclosed— Case closed
Was this page helpful?

